SDL_AUDIO_ISFLOAT(3)

NAME
SDL_AUDIO_ISFLOAT - Determine if an SDL_AudioFormat represents floating point data.

SYNOPSIS
#include <SDL3/SDL_audio.h>

#define SDL_AUDIO_ISFLOAT(x)         ((x) & SDL_AUDIO_MASK_FLOAT)

DESCRIPTION
For example, SDL_AUDIO_ISFLOAT(SDL_AUDIO_S16) returns 0.

MACRO PARAMETERS

x   an SDL_AudioFormat value.

RETURN VALUE
Returns non-zero if format is floating point, zero otherwise.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.